Loading...
Searching...
No Matches
webcam::WebcamEvent Struct Reference

Base type of all webcam event. More...

`import <WebcamManager.idl;`

Inheritance diagram for webcam::WebcamEvent:

## Public Attributes

Webcam | webcam
| The webcam which was affected.
Information | information
| Information about the camera.
string | name
| The user-assigned camera name.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Base type of all webcam event.

Definition at line 27 of file WebcamManager.idl.

## Member Data Documentation

## information

Information webcam::WebcamEvent::information

Information about the camera.

Definition at line 29 of file WebcamManager.idl.

## name

string webcam::WebcamEvent::name

The user-assigned camera name.

Definition at line 30 of file WebcamManager.idl.

## webcam

Webcam webcam::WebcamEvent::webcam

The webcam which was affected.

Definition at line 28 of file WebcamManager.idl.

The documentation for this struct was generated from the following file:

- WebcamManager.idl